## ubuntu-dev-tools 0.99

=== debian/changelog ===
ubuntu-dev-tools (0.99) lucid; urgency=low

  [ Andrey Voronov ]
  * pbuilder-dist: change requested/system arch order in check (LP: #557097)

  [ Michael Bienia ]
  * Update the defaults for maverick and let requestsync and
    pull-debian-source default to unstable (lp: #472837).

 -- Michael Bienia <geser@ubuntu.com>  Thu, 22 Apr 2010 21:31:48 +0200

ubuntu-dev-tools (0.98) lucid; urgency=low

  [ Ryan Kavanagh ]
  * Added the merge-changelog script from
    https://lists.ubuntu.com/archives/ubuntu-x/2009-June/000586.html for those
    who need to manually merge packages.
  * Fixed typo in doc/grab-merge.1

  [ Soren Hansen ]
  * Update get-branches to account for changes in LP's web UI. Really, someone
    should update it to use the LP API, but for now, this will have to do.

  [ Emmet Hikory ]
  * doc/mk-sbuild.1: add missing options to summary

  [ Michael Bienia ]
  * lp-shell: Use "udt-lp-shell" as LP API consumer instead of the non-unique
    "test" (lp: #558531).
  * get-branches: Use the LP API to obtain a list of branches of a team.

  [ Loïc Minier ]
  * bash_completion/pbuilder-dist, dch-repeat: list maverick in possible
    Ubuntu dists; the default dist for reverse-build-depends and
    submittodebian should be changed in maverick.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 16 Apr 2010 12:58:22 +0200

ubuntu-dev-tools (0.97) lucid; urgency=low

  [ Michael Bienia ]
  * lp-shell:
    + Support all known LP service names.
    + Add support for using different LP API versions.
    + Add option to login anonymously into LP.
  * ubuntutools/lp/lpapicache.py, ubuntutools/lp/libsupport.py: Add support
    for different LP API versions.
  * ubuntutools/lp/__init__.py: Set the '1.0' LP API version as default.
  * massfile: Updated to 1.0 LP API.
  * doc/requestsync.1: Update the paragraph about sponsoring (lp: #538990).
  * pull-lp-source: Use (anonymously) the LP API to get the URL for the .dsc
    file instead of screen scraping.
  * Apply patch from Julian Andres Klode for the python-apt 0.8 API transition
    (Closes: #572091) 
  * ubuntutools/requestsync/mail.py: Fix some more encoding issues
    (lp: #557828).
  
  [ Michael Vogt ]
  * edit-patch:
    - fix quilt mode when dpkg already applied all the patches 
      (LP: #556297)

 -- Michael Bienia <geser@ubuntu.com>  Thu, 08 Apr 2010 12:59:59 +0200

ubuntu-dev-tools (0.96) lucid; urgency=low

  [ Michael Bienia ]
  * ubuntu-build: missed updating a function call.

  [ Emmet Hikory ]
  * mk-sbuild: Really don't use build-arm-chroot

  [ Daniel Holbach ]
  * hugdaylist, requestsync, doc/requestsync.1: 
    ubuntu-{main,universe}-sponsors → ubuntu-sponsors,
    {ubuntu,motu}-release → ubuntu-release.
  * ubuntutools/ppaput.py: removed, not necessary any more.
  * debian/copyright: removed references to ppaput.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 15 Mar 2010 10:21:31 +0100

ubuntu-dev-tools (0.95) lucid; urgency=low

  * Update reverse-build-depends for lucid

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Mar 2010 13:33:47 +0000

ubuntu-dev-tools (0.94) lucid; urgency=low

  [ Luca Falavigna ]
  * docs/lp-set-dup.1: add manpage for lp-set-dup.
  * debian/control: bump Standards-Version to 3.8.4, no changes needed.

  [ Emmet Hikory ]
  * mk-sbuild: switch to use qemu-debootstrap for foreign chroots
  * mk-sbuild: allow any foreign chroot (may not work, but we can try)
  * pbuilder-dist: allow any foreign chroot (may not work, but we can try)
  * docs/pbuilder-dist.1: update manpage to indicate general architecture
  * pbuilder-dist: add self. before target_distro in powerpc check

 -- Emmet Hikory <persia@ubuntu.com>  Mon, 08 Mar 2010 20:45:09 +0900

ubuntu-dev-tools (0.93) lucid; urgency=low

  [ Scott Moser ]
  * rename mk-sbuild-lv to mk-sbuild, support union-type=aufs

  [ Emmet Hikory ]
  * Support qemu-arm-static -> qemu-kvm-extras-static transition
  * mk-sbuild: automatically install qemu-kvm-extras-static if requested
  * mk-sbuild: conditionally install lvm2 only for lvm-snapshot schroots
  * mk-sbuild: rationalise architecture variables
  * mk-sbuild: Generalise --type support and add "file" SCHROOT_TYPE
  * mk-sbuild.1: Document the --type argument

  [ Loïc Minier ]
  * Demote qemu-kvm-extras-static to a Suggests since most people don't build
    for armel.

  [ Kees Cook ]
  * requestsync: add -C to allow manually adding changelog when missing
    (LP: #518574).
  * mk-sbuild: clean up and make slight adjustments to new lvm/dir/file logic.
  * mk-sbuild.1: update documentation to reflect alternative config file
    names for distro and schroot type overrides.
  * mk-sbuild, docs/mk-sbuild.1: document DEBOOTSTRAP_MIRROR for good
    measure, thanks to Paul Holcomb.

  [ Michael Bienia ]
  * ubuntutools/requestsync/mail.py: Encode the report to utf-8 before passing
    it to gpg for signing (LP: #522316).
  * Add support for the other LP service roots (edge is still default)
  * Depend on python-launchpadlib >= 1.5.4
  * Also check package sets for upload permissions.
  * lp-set-dup: Don't crash when accessing private bugs (LP: #525539)
  * requestsync: Subscribe 'ubuntu-release' to Feature Freeze exceptions
    (updated to current policy; LP: #532740)

  [ Michael Vogt ]
  * edit-patch: add wrapper around cdbs-edit-patch, dpatch-edit-patch, quilt
    to transparently deal with the various patch systems.

  [ Colin Watson ]
  * lp-shell: Disable default apport excepthook, as this is intended for
    interactive use.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Mar 2010 19:16:32 -0800

ubuntu-dev-tools (0.92) lucid; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * bash_completion/pbuilder-dist:
     - Enable tab-completion for pbuilder-lucid and cowbuilder-lucid.

  [ Emmet Hikory ]
  * mk-sbuild-lv: support foreign armel schroots
  * mk-sbuild-lv: use --arch=foo rather than --arch foo for debootstrap

