=== debian/control ===
Source: ubuntu-dev-tools
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk
Vcs-Browser: http://codebrowse.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk/changes
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 6), python (>= 2.5)
Build-Depends-Indep: python-support (>= 0.5.3)
XS-Python-Version: >= 2.5
Homepage: https://launchpad.net/ubuntu-dev-tools/
Standards-Version: 3.8.4

Package: ubuntu-dev-tools
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, binutils, devscripts, sudo,
 python-debian, python-launchpadlib (>= 1.5.7), dctrl-tools, lsb-release, diffstat,
 dpkg-dev, python-apt (>= 0.7.93~), python-lazr.restfulclient
Recommends: bzr, pbuilder | cowdancer | sbuild, reportbug (>= 3.39ubuntu1),
 ca-certificates, debootstrap, genisoimage, perl-modules, libwww-perl,
 libapt-pkg-perl
Conflicts: devscripts (<< 2.10.7ubuntu5)
Suggests: qemu-kvm-extras-static
Replaces: devscripts (<< 2.10.7ubuntu5)
Description: useful tools for Ubuntu developers
 This is a collection of useful tools that Ubuntu developers use to make their
 packaging work a lot easier.
 .
 Such tools include:
 .
  - 404main - used to check what components a package's deps are in, for
    doing a main inclusion report for example.
  - check-symbols - will compare and give you a diff of the exported symbols of
    all .so files in a binary package.
  - dch-repeat - used to repeat a change log into an older release.
  - dgetlp - download a source package from the Launchpad library.
  - get-branches - used to branch/checkout all the bzr branches in a Launchpad
    team.
  - get-build-deps - install the build dependencies needed for a package
    reading debian/control.
  - grab-attachments - download all bug attachments from a Launchpad bug
    report.
  - grab-merge - grabs a merge from merges.ubuntu.com easily.
  - hugdaylist - compile HugDay lists from bug list URLs.
  - lp-project-upload - upload a release tarball to a Launchpad project
  - lp-set-dup - sets the "duplicate of" bug of a bug and its dups.
  - manage-credentials - manage Launchpad token credentials.
  - massfile - fill multiple bugs using a template.
  - merge-changelog - manually merges two Debian changelogs with the same base
    version.
  - mk-sbuild - script to create LVM snapshot chroots via schroot and
    sbuild.
  - pbuilder-dist, cowbuilder-dist - wrapper script for managing several build
    chroots (for different Ubuntu and Debian releases) on the same system.
  - pull-debian-debdiff - attempts to find and download a specific version of
    a Debian package and its immediate parent to generate a debdiff.
  - pull-debian-source - downloads the lastest source package available in
    Debian of a package.
  - pull-lp-source - downloads lastest source package from Launchpad.
  - pull-revu-source - downloads the latest source package from REVU
  - requestsync - files a sync request with Debian changelog and ratione.
  - reverse-build-depends - find the reverse build dependencies that a package
    has.
  - setup-packaging-environment - assistant to get an Ubuntu installation
    ready for packaging work.
  - submittodebian - automatically send your changes to Debian as a bug report.
  - suspicious-source - outputs a list of files which are not common source
    files.
  - ubuntu-build - give commands to the Launchpad build daemons from the
    command line.
  - ubuntu-iso - output information of an Ubuntu ISO image.
  - update-maintainer - script to update maintainer field in ubuntu packages.
  - what-patch - determines what patch system, if any, a source package is
    using.
