## ubuntu-dev-tools 0.99.1

=== debian/changelog ===
ubuntu-dev-tools (0.99.1) lucid-proposed; urgency=low

  * Debian source publication records are all Published now, not pending
    (LP: #845487)

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 14 Sep 2011 13:46:06 +0200
