## ubuntu-dev-tools 0.101

=== debian/changelog ===
ubuntu-dev-tools (0.101) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * syncpackage: Update manpage to reflect current usage. (Closes: #587142,
    LP: #598477)
  * ubuntu-build: Update manpage to reflect current usage. (LP: #490535)
  * edit-patch: Add manpage. (LP: #538379)
  * massfile: Add manpage.
  * pull-debian-debdiff: Add manpage.
  * setup-packaging-environment: Add manpage.
  * ubuntu-iso: Add manpage.

  [ Benjamin Drung ]
  * Bump Standards-Version to 3.9.1 (no changes required).
  * Switch to dpkg-source 3.0 (native) format.
  * Switch to simple dh7 rule.
  * syncpackage:
    - Use Version class from python-debian to fix extraction of upstream
      version for debian versions that contain more than one dash.
    - Prepend script name to every output
    - Output every executed command in verbose mode
    - Print proper error message if the dsc file is malformed.
  * update-maintainer: Add a --quiet option.
  * suspicious-source: Replace with total rewrite in Python using python-magic.

  [ Michael Bienia ]
  * ubuntutools/lpapi/lpapicache.py: Use the new LP API method
    archive.checkUpload() to check upload permissions.
  * Add "import-bug-from-debian" written by James Westby.
  * Add python-soappy to Recommends.
  * requestsync: Fix bug where the variable 'hasLP' is not always set
    (lp: #607874).

  [ Steve Beattie ]
  * mk-schroot: add debootstrap include/exclude options
  * mk-schroot.1: document added options

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 04 Aug 2010 10:06:44 +0000

ubuntu-dev-tools (0.100) maverick; urgency=low

  [ Luca Falavigna ]
  * syncpackage: new script to easily upload pristine Debian packages.
  * debian/ubuntu-dev-tools.preinst:
    - It is no longer necessary to remove stale pycentral files.

  [ Felix Geyer ]
  * reverse-build-depends: Always display the correct default distribution
    name in the usage text.

  [ Iain Lane ]
  * requestsync: Fall back to using rmadison when LP indicates that no new
    version is available. The LP importer is often out of date wrt Debian when
    rmadison isn't. (LP: #574398)

  [ Benjamin Drung ]
  * syncpackage:
    - add more options and allow pulling packages from Debian.
    - add mismatching source tarball detection (for fake syncs).
  * update-maintainer:
    - Remove duplicate Original-Maintainer field.
    - Avoid duplicate Original-Maintainer field if maintainer is listed in
      Uploaders too.

  [ Michael Vogt ]
  * edit-patch:
    - support full path to the patch as well (LP: #585599)
    - support adding existing patches (e.g. from launchpad)
      thanks to David Futcher (LP: #586787)

  [ Michael Bienia ]
  * Update to the new python-debian version:
    - Depend on python-debian >= 0.1.15
    - Replace imports of debian_bundle with debian to fix the deprecation
      warnings.

  [ Daniel Hahler ]
  * mk-sbuild: add $RELEASE to error message.

 -- Michael Bienia <geser@ubuntu.com>  Thu, 17 Jun 2010 21:17:10 +0200
