=== debian/control ===
--- 
+++ 
@@ -1,26 +1,44 @@
 Source: ubuntu-dev-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-dev-team@lists.alioth.debian.org>
+Uploaders: Luca Falavigna <dktrkranz@debian.org>
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk
 Vcs-Browser: http://codebrowse.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk/changes
-Build-Depends: cdbs (>= 0.4.49), debhelper (>= 6), python (>= 2.5)
+Build-Depends: debhelper (>= 7),
+               python (>= 2.5)
 Build-Depends-Indep: python-support (>= 0.5.3)
 XS-Python-Version: >= 2.5
 Homepage: https://launchpad.net/ubuntu-dev-tools/
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: ubuntu-dev-tools
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, binutils, devscripts, sudo,
- python-debian, python-launchpadlib (>= 1.5.7), dctrl-tools, lsb-release, diffstat,
- dpkg-dev, python-apt (>= 0.7.93~), python-lazr.restfulclient
-Recommends: bzr, pbuilder | cowdancer | sbuild, reportbug (>= 3.39ubuntu1),
- ca-certificates, debootstrap, genisoimage, perl-modules, libwww-perl,
- libapt-pkg-perl
-Conflicts: devscripts (<< 2.10.7ubuntu5)
+Depends: binutils,
+         dctrl-tools,
+         devscripts,
+         diffstat,
+         dpkg-dev,
+         lsb-release,
+         python-apt (>= 0.7.93~),
+         python-debian (>= 0.1.15),
+         python-launchpadlib (>= 1.5.7),
+         python-lazr.restfulclient,
+         sudo,
+         ${python:Depends},
+         ${misc:Depends}
+Recommends: bzr,
+            ca-certificates,
+            debootstrap,
+            genisoimage,
+            libapt-pkg-perl,
+            libwww-perl,
+            pbuilder | cowdancer | sbuild,
+            perl-modules,
+            python-magic,
+            python-soappy,
+            reportbug (>= 3.39ubuntu1)
 Suggests: qemu-kvm-extras-static
-Replaces: devscripts (<< 2.10.7ubuntu5)
 Description: useful tools for Ubuntu developers
  This is a collection of useful tools that Ubuntu developers use to make their
  packaging work a lot easier.
@@ -41,6 +59,7 @@
     report.
   - grab-merge - grabs a merge from merges.ubuntu.com easily.
   - hugdaylist - compile HugDay lists from bug list URLs.
+  - import-bug-from-debian - copy a bug from the Debian BTS to Launchpad
   - lp-project-upload - upload a release tarball to a Launchpad project
   - lp-set-dup - sets the "duplicate of" bug of a bug and its dups.
   - manage-credentials - manage Launchpad token credentials.
@@ -65,6 +84,7 @@
   - submittodebian - automatically send your changes to Debian as a bug report.
   - suspicious-source - outputs a list of files which are not common source
     files.
+  - syncpackage - helper to prepare .changes file to upload synced packages
   - ubuntu-build - give commands to the Launchpad build daemons from the
     command line.
   - ubuntu-iso - output information of an Ubuntu ISO image.
