## ubuntu-dev-tools 0.104

=== debian/changelog ===
ubuntu-dev-tools (0.104) experimental; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
     - Fix regression where pbuilder would get an empty string as first
       positional argument.
     - Update --debug-echo so that it doesn't hide empty parameters (now
       that they are wrapped around quotes they are significant).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 25 Sep 2010 13:14:46 +0200

ubuntu-dev-tools (0.103) experimental; urgency=low

  [ Benjamin Drung ]
  * sponsor-patch:
    - Fix NameError: global name 'debdiff_filename' is not defined.
    - Add --workdir parameter to set the working directory.
  * ubuntutools/update_maintainer.py: Fix failure if debian/control.in is a
    directory.

  [ Luca Falavigna ]
  * debian/control:
    - Add Benjamin Drung to Uploaders.
    - Add DM-Upload-Allowed field, this way Benjamin can upload new
      versions on his own.
  * ubuntutools/misc.py:
    - Use output of dpkg --print-architecture command to correctly display
      platform architecture (Closes: #594424).

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
     - Do not show a warning when "experimental" is used; there is no
       debootstrap file for it but it should just work anyway.
     - Wrap any extra (user) arguments appended to the pbuilder command with
       quotation marks, when needed (LP: #398989).
  * bash_completion/pbuilder-dist:
     - Enable auto-completion for "pbuilder-experimental".
  * doc/pbuilder-dist.1:
     - Move the documentation for --main-only (previously "mainonly") and
       --debug-echo to a new Options section.

  [ Stefano Rivera ]
  * Add manpages for sponsor-patch and import-bug-from-debian.
  * hugdaylist, manage-credentials, massfile, merge-changelog,
    ubuntutools/requestsync/common.py: Some pyflakes-induced cleanup.
  * ubuntutools/lp/libsupport.py: Support production API URLs in
    translate_web_api.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 22 Sep 2010 18:13:27 +0200

ubuntu-dev-tools (0.102) experimental; urgency=low

  [ Dustin Kirkland ]
  * errno, doc/errno.1, debian/control, debian/copyright, setup.py:
    - add an errno utility, LP: #612267

  [ Kees Cook ]
  * mk-sbuild: update examples to include "-A".

  [ Benjamin Drung ]
  * suspicious-source: whitelist font source formats. Thanks to Nicolas
    Spalinger for the patch (LP: #365147).
  * Update the man page of suspicious-source to match the rewrite.
  * syncpackage:
    - Don't upload orig tarball if not needed.
    - Print error message if the download fails (LP: #639899).
    - Check if the specified Debian component is valid (LP: #639896).
  * update-maintainer: Don't change the Maintainer field if the email is set
    to a @lists.ubuntu.com address.
  * sponsor-patch: New script to download a patch from a Launchpad bug, patch
    the source package, build, check and uploads it (to Ubuntu or a PPA).
  * wrap-and-sort: New script to wrap long lines and sort items in packaging
    files.

  [ Stefano Rivera ]
  * update-maintainer: Correctly update the Maintainer field to the new Ubuntu
    Developers address (instead of the calling user) when the package is not
    in Debian.

  [ Iain Lane ]
  * all: Use production API rather than edge by default. Should be more
    reliable and was advised by lifeless (LP team).

  [ Michael Bienia ]
  * Add 'natty' to recognized names and make it the default.

  [ Colin Watson ]
  * Fix NAME section of lp-set-dup(1).
  * lp-list-bugs: New tool.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 20 Sep 2010 11:10:04 +0200
