## ubuntu-dev-tools 0.104.1

=== debian/changelog ===
ubuntu-dev-tools (0.104.1) maverick-proposed; urgency=low

  * Debian source publication records are all Published now, not pending
    (LP: #845487)

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 14 Sep 2011 13:44:46 +0200
