=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-dev-team@lists.alioth.debian.org>
-Uploaders: Luca Falavigna <dktrkranz@debian.org>
+Uploaders: Luca Falavigna <dktrkranz@debian.org>,
+           Benjamin Drung <bdrung@ubuntu.com>
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk
 Vcs-Browser: http://codebrowse.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk/changes
-Build-Depends: debhelper (>= 7),
-               python (>= 2.5)
+Build-Depends: debhelper (>= 7), python (>= 2.5)
 Build-Depends-Indep: python-support (>= 0.5.3)
+DM-Upload-Allowed: yes
 XS-Python-Version: >= 2.5
 Homepage: https://launchpad.net/ubuntu-dev-tools/
 Standards-Version: 3.9.1
@@ -25,8 +26,9 @@
          python-launchpadlib (>= 1.5.7),
          python-lazr.restfulclient,
          sudo,
-         ${python:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${perl:Depends},
+         ${python:Depends}
 Recommends: bzr,
             ca-certificates,
             debootstrap,
@@ -51,6 +53,7 @@
     all .so files in a binary package.
   - dch-repeat - used to repeat a change log into an older release.
   - dgetlp - download a source package from the Launchpad library.
+  - errno - search POSIX error codes by error number, name, or description
   - get-branches - used to branch/checkout all the bzr branches in a Launchpad
     team.
   - get-build-deps - install the build dependencies needed for a package
@@ -60,6 +63,7 @@
   - grab-merge - grabs a merge from merges.ubuntu.com easily.
   - hugdaylist - compile HugDay lists from bug list URLs.
   - import-bug-from-debian - copy a bug from the Debian BTS to Launchpad
+  - lp-list-bugs - briefly list status of Launchpad bugs.
   - lp-project-upload - upload a release tarball to a Launchpad project
   - lp-set-dup - sets the "duplicate of" bug of a bug and its dups.
   - manage-credentials - manage Launchpad token credentials.
@@ -81,6 +85,8 @@
     has.
   - setup-packaging-environment - assistant to get an Ubuntu installation
     ready for packaging work.
+  - sponsor-patch - Downloads a patch from a Launchpad bug, patches the source
+    package, and uploads it (to Ubuntu or a PPA)
   - submittodebian - automatically send your changes to Debian as a bug report.
   - suspicious-source - outputs a list of files which are not common source
     files.
@@ -91,3 +97,4 @@
   - update-maintainer - script to update maintainer field in ubuntu packages.
   - what-patch - determines what patch system, if any, a source package is
     using.
+  - wrap-and-sort - wrap long lines and sort items in packaging files.
