## ubuntu-dev-tools 0.122

=== debian/changelog ===
ubuntu-dev-tools (0.122) unstable; urgency=low

  [ Ted Gould ]
  * lp-project-upload: Add an optional parameter for creating a new
    milestone to add future bugs to.

  [ Benjamin Drung ]
  * data/ubuntu.csv: Update end-of-life dates.

  [ Brian Murray ]
  * grab-attachments: download the attachments to a folder named after the bug
    number e.g. bug-1

 -- Benjamin Drung <bdrung@debian.org>  Sat, 23 Apr 2011 13:52:01 +0200

ubuntu-dev-tools (0.121) unstable; urgency=low

  [ Daniel Holbach ]
  * harvest, setup.py: install tool that queries Harvest for information
    about open opportunities for a given source package.

  [ Stefano Rivera ]
  * ubuntutools.archive.rmadison: suite can be None, handle this correctly.
  * pull-debian-debdiff: Convert distance to an integer, so it works when
    specified.
  * sponsor-patch, doc/sponsorpatch.1: Clarify that --upload or --workdir is
    required. (LP: #712721)
  * Drop Breaks: ${python:Breaks}, no longer used by dh_python2.

  [ Benjamin Drung ]
  * ubuntutools.update-maintainer: Do not use python-debian to parse
    debian/control to avoid mangling this file (LP: #756373). The new
    simplified parser has no problems with comments in debian/control
    (LP: #701487, #713827).
  * doc/setup-packaging-environment.1: Fix typo.
  * Bump Standards-Version to 3.9.2 (no changes required).
  * Drop transitional qemu-kvm-extras-static from alternative suggests.

  [ Ted Gould ]
  * lp-project-upload: Use a milestone that already exists if there is
    one to use.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 19 Apr 2011 08:49:06 +0200

ubuntu-dev-tools (0.120) unstable; urgency=low

  [ Felix Geyer ]
  * pull-lp-source.1: Document -d option.

  [ Stefano Rivera ]
  * ubuntutools.archive: Filter rmadison results. (LP: #710579)
    - Canonicalise suites (use code-names) before passing them to rmadison.
  * pull-{lp,debian}-source: Download requested versions, as well as simply
    the latest version in a release.
  * pull-{lp,debian}-source, pull-debian-debdiff: Catch KeyboardInterrupt.
    (LP: #713845)
  * pull-debian-source: Handle -p-u and -security suites.
  * Bump X-Python-Version to >= 2.6, now that python-launchpadlib no longer
    supports Python 2.5.

  [ Julian Taylor ]
  * add support for cowbuilder and cowbuilder-dist in builder.py
    - allows use in sponsor-patch and backportpackage (LP: #728751)

  [ Benjamin Drung ]
  * data/ubuntu.csv: Add Oneiric Ocelot to the list of know releases.
  * ubuntutools.distro_info: Fix TypeError crash and add a test case to
    catch regressions (LP: #731398).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Mar 2011 22:07:47 +0200

ubuntu-dev-tools (0.119) unstable; urgency=low

  * Support Launchpadlib 1.9. (LP: #725231, #725092)
    - Document Launchpadlib 1.9 issues in NEWS.
  * Remove manage-credentials, and credential handling code from
    ubuntutools.lp.libsupport. Launchpadlib 1.9 handles this via
    python-keyring. (LP: #387297, #645629, #689100)
  * Use Launchpadlib.login_with() directly in scripts.
  * Remove ubuntutools.lp.libsupport.approve_application, no longer used.
  * Remove ubuntutools.lp.libsupport.get_launchpad, no longer used.
  * Remove ubuntutools.lp.libsupport.translate_api_web, no longer used.
  * Skip pylint test if it crashes.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 01 Mar 2011 15:04:40 +0200

ubuntu-dev-tools (0.118) unstable; urgency=low

  * requestsync: Use from...import require_utf8() to work around unexpected
    scoping from a later import (LP: #723630)
  * Add myself to Uploaders.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Feb 2011 15:21:32 +0200

ubuntu-dev-tools (0.117) unstable; urgency=low

  [ Benjamin Drung ]
  * dgetlp, import-bug-from-debian, suspicious-source:
    Show error messages instead of having the import errors for
    recommended packages (Closes: #613101, LP: #693813).
  * update_maintainer.py: Update Maintainer field if it is set to
    "Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>".

  [ Stefano Rivera ]
  * ubuntutools/archive.py: Rewrite launchpadlib redirects to https when
    fetching dscs.
  * debian/control:
    - Suggest qemu-user-static | qemu-kvm-extras-static. Ubuntu provides a
      qemu-user-static package, like Debian, since natty.
    - Drop Build-Depend on Recommend on libapt-pkg-perl. No longer used.
  * grab-merge: Show help when no arguments are provided.
  * pull-revu-source: Check for the availability of libwww-perl, and print a
    more helpful error.
  * requestsync, grep-merges: Require a UTF-8 locale. (Closes: #613114,
    LP: #553795)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 22 Feb 2011 00:42:33 +0100

ubuntu-dev-tools (0.116) unstable; urgency=low

  [ Benjamin Drung ]
  * suspicious-source:
    - Add .icns and .java to extension whitelist.
    - Add image/vnd.adobe.photoshop to the mime-type whitelist.
  * data/debian.csv: Add wheezy and release date of squeeze.
  * *distro-info: Add a "created" column to the data.
  * wrap-and-sort: Wrap and sort Build-Conflicts too.
  * Move debian-keyring from Suggests to Recommends (LP: #717245).
  * ubuntutools/test/example_package.py: Use dpkg-source directly instead of
    dpkg-buildpackage to avoid running fakeroot inside fakeroot which leads
    to a FTBFS on natty.

  [ Stefano Rivera ]
  * debian/copyright:
    - Files is space-separated, not comma.
    - Bump Format revision.

  [ Kees Cook ]
  * ubuntutools/update_maintainer.py: do nothing if the rules file
    already manages XSBC-Original (e.g. python).
  * ubuntutools/test/test_update_maintainer.py: update test cases to
    handle checking for debian/rules.
  * mk-sbuild: work around apt's invocation of GPG needing root's
    .gnupg directory to already exist.

  [ Michael Bienia ]
  * Use the new web_link attribute of LP objects instead of our own
    translate_api_web() function.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 12 Feb 2011 19:02:59 +0100


