## ubuntu-dev-tools 0.122.1+bitesize~natty1

=== debian/changelog ===
ubuntu-dev-tools (0.122.1+bitesize~natty1) natty-backports; urgency=low

  * bitesize, doc/bitesize.1, debian/copyright, setup.py: take bitesize script
    from current trunk. (LP: #787383)
  * bitesize: revert r1087, so we avoid pulling in a newer devscripts.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 24 May 2011 09:28:26 +0200

ubuntu-dev-tools (0.122.1) natty-proposed; urgency=low

  * sponsor-patch: Fix assertion error if a relative working directory
    is specified (LP: #785923).

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 20 May 2011 21:19:26 +0200
