=== debian/control ===
--- 
+++ 
@@ -2,16 +2,29 @@
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-dev-team@lists.alioth.debian.org>
-Uploaders: Luca Falavigna <dktrkranz@debian.org>,
-           Benjamin Drung <bdrung@ubuntu.com>
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk
-Vcs-Browser: http://codebrowse.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk/changes
-Build-Depends: debhelper (>= 7), python (>= 2.5)
-Build-Depends-Indep: python-support (>= 0.5.3)
-DM-Upload-Allowed: yes
-XS-Python-Version: >= 2.5
-Homepage: https://launchpad.net/ubuntu-dev-tools/
-Standards-Version: 3.9.1
+Uploaders: Benjamin Drung <bdrung@debian.org>,
+           Stefano Rivera <stefanor@debian.org>
+Vcs-Bzr: lp:ubuntu-dev-tools
+Vcs-Browser: https://code.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk
+Build-Depends: dctrl-tools,
+               debhelper (>= 7.0.50~),
+               devscripts,
+               libwww-perl,
+               lsb-release,
+               pylint,
+               python-all (>= 2.6.5-13~),
+               python-apt (>= 0.7.93~),
+               python-debian (>= 0.1.15),
+               python-gnupginterface,
+               python-launchpadlib (>= 1.5.7),
+               python-magic,
+               python-mox,
+               python-setuptools,
+               python-soappy,
+               python-unittest2
+X-Python-Version: >= 2.6
+Homepage: https://launchpad.net/ubuntu-dev-tools
+Standards-Version: 3.9.2
 
 Package: ubuntu-dev-tools
 Architecture: all
@@ -30,17 +43,21 @@
          ${perl:Depends},
          ${python:Depends}
 Recommends: bzr,
+            bzr-builddeb,
             ca-certificates,
+            debian-archive-keyring,
+            debian-keyring,
             debootstrap,
             genisoimage,
-            libapt-pkg-perl,
             libwww-perl,
             pbuilder | cowdancer | sbuild,
             perl-modules,
+            python-dns,
+            python-gnupginterface,
             python-magic,
             python-soappy,
             reportbug (>= 3.39ubuntu1)
-Suggests: qemu-kvm-extras-static
+Suggests: python-simplejson | python (>= 2.7), qemu-user-static
 Description: useful tools for Ubuntu developers
  This is a collection of useful tools that Ubuntu developers use to make their
  packaging work a lot easier.
@@ -49,11 +66,13 @@
  .
   - 404main - used to check what components a package's deps are in, for
     doing a main inclusion report for example.
+  - check-mir - check support status of build/binary dependencies
   - check-symbols - will compare and give you a diff of the exported symbols of
     all .so files in a binary package.
   - dch-repeat - used to repeat a change log into an older release.
+  - debian-distro-info - provides information about Debian's distributions.
   - dgetlp - download a source package from the Launchpad library.
-  - errno - search POSIX error codes by error number, name, or description
+  - distro-info - provides information about the distributions' releases.
   - get-branches - used to branch/checkout all the bzr branches in a Launchpad
     team.
   - get-build-deps - install the build dependencies needed for a package
@@ -61,12 +80,14 @@
   - grab-attachments - download all bug attachments from a Launchpad bug
     report.
   - grab-merge - grabs a merge from merges.ubuntu.com easily.
+  - grep-merges - search for pending merges from Debian.
+  - harvest - grabs information about development opportunities from
+    http://harvest.ubuntu.com
   - hugdaylist - compile HugDay lists from bug list URLs.
   - import-bug-from-debian - copy a bug from the Debian BTS to Launchpad
   - lp-list-bugs - briefly list status of Launchpad bugs.
   - lp-project-upload - upload a release tarball to a Launchpad project
   - lp-set-dup - sets the "duplicate of" bug of a bug and its dups.
-  - manage-credentials - manage Launchpad token credentials.
   - massfile - fill multiple bugs using a template.
   - merge-changelog - manually merges two Debian changelogs with the same base
     version.
@@ -93,6 +114,7 @@
   - syncpackage - helper to prepare .changes file to upload synced packages
   - ubuntu-build - give commands to the Launchpad build daemons from the
     command line.
+  - ubuntu-distro-info - provides information about Ubuntu's distributions.
   - ubuntu-iso - output information of an Ubuntu ISO image.
   - update-maintainer - script to update maintainer field in ubuntu packages.
   - what-patch - determines what patch system, if any, a source package is
