## ubuntu-dev-tools 0.122.4

=== debian/changelog ===
ubuntu-dev-tools (0.122.4) natty-proposed; urgency=low

  * Update Ubuntu list from distro-info-data 0.9.
    - Use full dates (add days for future EOL dates of Ubuntu).
    - Add Ubuntu Quantal Quetzal. (LP: #987390)

 -- Stefano Rivera <stefanor@ubuntu.com>  Mon, 23 Apr 2012 18:40:48 +0200

ubuntu-dev-tools (0.122.3) natty-proposed; urgency=low

  * Add 12.04 LTS "Precise Pangolin" to Ubuntu list (LP: #890464).

 -- Benjamin Drung <bdrung@debian.org>  Tue, 15 Nov 2011 00:10:35 +0100

ubuntu-dev-tools (0.122.2) natty-proposed; urgency=low

  * Debian source publication records are all Published now, not pending
    (LP: #845487)

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 14 Sep 2011 13:45:51 +0200
