## ubuntu-dev-tools 0.132

=== debian/changelog ===
ubuntu-dev-tools (0.132) unstable; urgency=low

  [ Benjamin Drung ]
  * sponsor-patch:
    - Refactor code.
    - Support sync requests and make ack-sync obsolete (LP: #764763).

  [ Stefano Rivera ]
  * syncpackage: Looks like we can't expect exactly one DSD record for every
    source package (LP: #846890)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 22 Sep 2011 12:31:57 +0200

ubuntu-dev-tools (0.131) unstable; urgency=low

  [ Stefano Rivera ]
  * doc/requestsync.1: Correct default value for REQUESTSYNC_SMTP_SERVER
    (LP: #844992)
  * import-bug-from-debian: Bugs are filed against source packages in Ubuntu.
    (LP: #844734)
  * Debian source publication records are all Published now, not pending
    (LP: #845487)
  * requestsync:
    - Add nice error messages to gpg-signing code, rather than simple
      assertions (LP: #537288)
    - Extract current Ubuntu delta from changelog entries and provide for
      editing (LP: #547925)
  * submittodebian:
    - Don't parse the entire changelog, to avoid bumping into past illegal
      version numbers (LP: #727314)
    - Iterate over changelog blocks rather than using Changelog's private
      _blocks list.
  * LP: #806633:
    - ubuntutools.update_maintainer: Don't use strict changelog parsing
    - sponsor-patch: Perform strict validation on the first changelog entry.
  * setup-packaging-environment:
    - Software Sources isn't on the Administration menu, post Gnome 2
      (LP: #841975)
    - Use apt-get rather than aptitude.
  * Removed get-build-deps, mk-build-deps -ir is equivalent (LP: #158108)
  * ubuntutools.archive:
    - Add quiet option to silence downloading.
    - Use wget-style progress bar (fixed width) (LP: #845787)
  * Bump python-debian B-D and Depends to 0.1.20 for unicode Changelog
    reading.
  * backportpackage: Use absolute path of workdir when test-building.

  [ Colin Watson ]
  * syncpackage: Fix typo.

  [ Benjamin Drung ]
  * ubuntutools/requestsync: Follow PEP 8 naming conventions.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 10 Sep 2011 16:48:23 +0200

ubuntu-dev-tools (0.130) unstable; urgency=low

  * pull-lp-source: Support source packages with a bad version string
    (LP: #844682).
  * backportpackage:
    - Search for newer versions in -{updates,security} on Ubuntu (LP: #823833).
    - Use Ubuntu and Debian as fall back check in codename_to_distribution to
      allow backporting to Ubuntu from a Debian system (LP: #823832).

 -- Benjamin Drung <bdrung@debian.org>  Thu, 08 Sep 2011 22:04:11 +0200

ubuntu-dev-tools (0.129) unstable; urgency=low

  [ Colin Watson ]
  * syncpackage: Convert to new LP API, with --no-lp available for the old
    style of operation.
  * syncpackage: Require -f/--force option to overwrite Ubuntu changes.

  [ Jelmer Vernooij ]
  * Remove several tools not specific to Ubuntu that have been migrated to
    lptools (LP: #708886):
   - get-branches (renamed to lp-get-branches)
   - grab-attachments (renamed to lp-grab-attachments)
   - lp-project-upload
   - lp-list-bugs
   - lp-set-dup
   - lp-shell

  [ Stefano Rivera ]
  * syncpackage: Show changes to be synced when performing native syncs.
  * syncpackage: Check the sync blacklist.
  * syncpackage: Support --bug (extra bugs to be closed by the sync) with
    native syncs. (Bugs are closed one individually, via the API, post-sync)
  * dgetlp, submittodebian, 404main: Use unicode strings for literal strings
    containing non-ASCII characters (LP: #836661)
  * Recommend pbuilder | aptitude for get-build-deps, and exit with an error
    if neither are installed (LP: #799368)
  * get-build-deps: Tell aptitude not to follow Recommends (LP: #817500)
  * doc/requestsync.1: Document the -C option (LP: #833408)
  * ubuntutools.archive: Don't write .dsc files until we pull the entire
    source package, just hold it in memory. Avoids littering the current
    directory (LP: #838361)
  * Run harvest as part of sponsor-patch (LP: #833699)

  [ Julian Taylor ]
  * requestsync: omit dups when checking for duplicate requests (LP: #842217)

  [ Benjamin Drung ]
  * sponsor-patch: Default to not upload the package.
  * requestsync: Do not crash on user abort (Closes: #637168).

 -- Benjamin Drung <bdrung@debian.org>  Tue, 06 Sep 2011 14:31:31 +0200

ubuntu-dev-tools (0.128) unstable; urgency=low

  [ Stefano Rivera ]
  * ubuntutools.builder: Detect missing builder and fail early.
  * backportpackage: Backport from local source packages again (LP: #801945)
  * ubuntutools.test.test_archive: Forgive newer python-debian's for calling
    GpgInfo.from_sequence() with the optional keyrings arguments.

  [ Julian Taylor ]
  * lp-shell: use ipython shell if available

 -- Stefano Rivera <stefanor@debian.org>  Tue, 16 Aug 2011 11:15:18 +0200

ubuntu-dev-tools (0.127) unstable; urgency=low

  * Move debian-distro-info, distro-info, and ubuntu-distro-info from
    ubuntu-dev-tools into distro-info.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Jul 2011 22:07:18 +0200

ubuntu-dev-tools (0.126) unstable; urgency=low

  [ Evan Broder ]
  * ubuntutools.misc: Add a new "system_distribution_chain", which returns
    a list starting with the current distribution and working its way up
    each distribution's parent.
  * ubuntutools.misc: Add a function to find the distribution that
    used a given release codename.
  * backportpackage, doc/backportpackage.1: Accept codenames from any
    distribution in the parenting chain. Makes it possible to, e.g.,
    backport from Debian. (LP: #703099)
  * ubuntutools.subprocess:
    - New drop-in replacement wrapper module around subprocess that
      backports the restore_signals kwarg and defaults close_fds=True
    - Switch everything previously using subprocess to use
      ubuntutools.subprocess instead (LP: #785854)

  [ Stefano Rivera ]
  * submittodebian: Write a usable .reportbugrc if it doesn't exist.
    (LP: #800429)

  [ Benjamin Drung ]
  * Add experimental to list of Debian distributions.


