=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
 Vcs-Browser: https://code.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk
 Build-Depends: dctrl-tools,
                debhelper (>= 7.0.50~),
-               devscripts,
+               devscripts (>= 2.11.0~),
+               distro-info (>= 0.2~),
                libwww-perl,
                lsb-release,
                pylint,
                python-all (>= 2.6.5-13~),
                python-apt (>= 0.7.93~),
-               python-debian (>= 0.1.15),
+               python-debian (>= 0.1.20~),
                python-gnupginterface,
                python-launchpadlib (>= 1.5.7),
-               python-magic,
                python-mox,
                python-setuptools,
                python-soappy,
@@ -30,12 +30,13 @@
 Architecture: all
 Depends: binutils,
          dctrl-tools,
-         devscripts,
+         devscripts (>= 2.11.0~),
          diffstat,
+         distro-info (>= 0.2~),
          dpkg-dev,
          lsb-release,
          python-apt (>= 0.7.93~),
-         python-debian (>= 0.1.15),
+         python-debian (>= 0.1.20~),
          python-launchpadlib (>= 1.5.7),
          python-lazr.restfulclient,
          sudo,
@@ -54,10 +55,9 @@
             perl-modules,
             python-dns,
             python-gnupginterface,
-            python-magic,
             python-soappy,
             reportbug (>= 3.39ubuntu1)
-Suggests: python-simplejson | python (>= 2.7), qemu-user-static
+Suggests: ipython, python-simplejson | python (>= 2.7), qemu-user-static
 Description: useful tools for Ubuntu developers
  This is a collection of useful tools that Ubuntu developers use to make their
  packaging work a lot easier.
@@ -66,6 +66,8 @@
  .
   - 404main - used to check what components a package's deps are in, for
     doing a main inclusion report for example.
+  - bitesize - add the 'bitesize' tag to a bug and comment that you are
+    willing to help fix it.
   - check-mir - check support status of build/binary dependencies
   - check-symbols - will compare and give you a diff of the exported symbols of
     all .so files in a binary package.
@@ -73,21 +75,12 @@
   - debian-distro-info - provides information about Debian's distributions.
   - dgetlp - download a source package from the Launchpad library.
   - distro-info - provides information about the distributions' releases.
-  - get-branches - used to branch/checkout all the bzr branches in a Launchpad
-    team.
-  - get-build-deps - install the build dependencies needed for a package
-    reading debian/control.
-  - grab-attachments - download all bug attachments from a Launchpad bug
-    report.
   - grab-merge - grabs a merge from merges.ubuntu.com easily.
   - grep-merges - search for pending merges from Debian.
   - harvest - grabs information about development opportunities from
     http://harvest.ubuntu.com
   - hugdaylist - compile HugDay lists from bug list URLs.
   - import-bug-from-debian - copy a bug from the Debian BTS to Launchpad
-  - lp-list-bugs - briefly list status of Launchpad bugs.
-  - lp-project-upload - upload a release tarball to a Launchpad project
-  - lp-set-dup - sets the "duplicate of" bug of a bug and its dups.
   - massfile - fill multiple bugs using a template.
   - merge-changelog - manually merges two Debian changelogs with the same base
     version.
@@ -109,14 +102,9 @@
   - sponsor-patch - Downloads a patch from a Launchpad bug, patches the source
     package, and uploads it (to Ubuntu or a PPA)
   - submittodebian - automatically send your changes to Debian as a bug report.
-  - suspicious-source - outputs a list of files which are not common source
-    files.
   - syncpackage - helper to prepare .changes file to upload synced packages
   - ubuntu-build - give commands to the Launchpad build daemons from the
     command line.
   - ubuntu-distro-info - provides information about Ubuntu's distributions.
   - ubuntu-iso - output information of an Ubuntu ISO image.
   - update-maintainer - script to update maintainer field in ubuntu packages.
-  - what-patch - determines what patch system, if any, a source package is
-    using.
-  - wrap-and-sort - wrap long lines and sort items in packaging files.
