## ubuntu-dev-tools 0.132ubuntu0.2

=== debian/changelog ===
ubuntu-dev-tools (0.132ubuntu0.2) oneiric-proposed; urgency=low

  * syncpackage: Gracefully deal with no available changelog from Debian (PTS
    changelogs aren't available immediately) (LP: #880051)

 -- Stefano Rivera <stefanor@ubuntu.com>  Mon, 24 Oct 2011 11:02:45 +0200

ubuntu-dev-tools (0.132ubuntu0.1) oneiric-proposed; urgency=low

  * syncpackage, requestsync: Default to syncing from testing (LP: #876400)

 -- Stefano Rivera <stefanor@ubuntu.com>  Mon, 17 Oct 2011 16:35:36 +0200
