=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ubuntu-dev-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-dev-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-dev-team@lists.alioth.debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>,
            Stefano Rivera <stefanor@debian.org>
 Vcs-Bzr: lp:ubuntu-dev-tools
